Skip to main content

List Care Items by Care Type

GET 

/v1/cares/care-types/:careTypeId/items

Retrieve a list of care items belonging to the specified care type. Supports keyword search, filtering, exclusion, and more.

Request​

Path Parameters

    careTypeId integerrequired

    The unique ID of the care type.

Query Parameters

    search string

    Keyword to filter care item names.

    exclude_names string[]

    List of care item names to exclude. Comma-separated values.

    v string

    Filter care items by cve_version.

    parents_only boolean

    Include only items with children.

    only_children_of integer

    Include only children of a particular care item.

    used_in_band_ids string

    Filter care items by associated tariff band IDs. Comma-separated values.

Responses​

Array of care items for the specified care type

Schema
  • Array [
  • id integer
    name string
    type_id integer
    updated_at date-time
  • ]
Loading...